Subject: Guix should not set global variables that may affect host

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 24 Jan 2022 17:24:29 -0500

Hello!

There are multiple reports about the negative effects of Guix setting
variables such as XDG_DATA_DIRS on foreign distributions, that may cause
problems a severe as locking users out of their graphical session [0].

In my opinion, we should pursue patching every application/library to
use a Guix-specific variant, e.g. GUIX_XDG_DATA_DIRS instead of
XDG_DATA_DIRS, to avoid interfering with the host system, as was done
for GUIX_PYTHONPATH.

This is a big task in itself; we can open more focused/actionable tasks
for each environment variable, starting with those causing the most
serious issues.

Any takers?

Maxim

[0] https://issues.guix.gnu.org/26202